import unittest
import io
import contextlib
from unittest.mock import patch

from tmc import points

from tmc.utils import load, get_stdout
main = load('src.main', 'main')


@points('1.4')
class MainTest(unittest.TestCase):

    def test_00_something_is_printed(self):
        self.longMessage = False
        main()
        printed = get_stdout()
        if not printed:
            self.fail('Et tulostanut mitään!')

    def test_01_prints_correct_ans(self):
        self.longMessage = False
        main()
        printed = get_stdout()
        self.assertEqual(printed, '31536000',msg='Et tulostanut sekuntimäärää oikein')
